name: Deploy Release
run-name: ${{ github.actor }} is building Bilby...
on:
  push:
    tags:
      - 'v*'
jobs:
  Build:
    runs-on: [ubuntu-latest, ubuntu-24.04]
    container:
      image: frp-by1.wwvvww.cn:45288/ubuntu_dev:24.04
    steps:
      - name: Check out repository code
        uses: actions/checkout@v4
        with:
          fetch-depth: 0
      - run: resources/build.sh build
      - run: resources/build.sh deploy
      - name: Generate Changelog
        run: |
          current_tag=$(git describe --tags --abbrev=0)
          previous_tag=$(git describe --tags --abbrev=0 $(git rev-list --tags --skip=1 --max-count=1))
          echo "Commits from ${previous_tag} to ${current_tag}:"
          git log ${previous_tag}..${current_tag} --reverse --pretty=format:"%B" | nl -w2 -s". "
          git log ${previous_tag}..${current_tag} --reverse --pretty=format:"%B" | nl -w2 -s". " > ${{ github.workspace }}-CHANGELOG.txt
      - name: Upload Gitea Release
        uses: akkuman/gitea-release-action@v1
        with:
          body_path: ${{ github.workspace }}-CHANGELOG.txt
          files: |-
            build/SmartLockerTools-0.3-Linux.sh
     